MODELL ovning

TABLES
 DIM(3)
DISKDATA
 DIM(1)=ovning.dim
 LET FMAX=DIM(1)
 LET DMAX=DIM(2)
 LET KMAX=DIM(3)
TABLES
 FKAP(FMAX)
 DKAP(DMAX)
 KETT(KMAX)
DISKDATA
 FKAP(1)=ovning.fka     ! Farbrik KAPasitet.
 DKAP(1)=ovning.dka     ! Depot KAPasitet.
 KETT(1)=ovning.ket     ! Kundes ETTerssrsel
TABLES
 KFD(FMAX,DMAX)         ! Kostnad Fabrikk Depot
 KFK(FMAX,KMAX)         ! Kostnad Fabrikk Kunde
 KDK(DMAX,KMAX)         ! Kostnad Depot Fabrikk

 PFK(FMAX,KMAX)         ! Preferanse Fabrikk Kunde
 PDK(DMAX,KMAX)         ! Preferanse Depot Kunde
DISKDATA
 KFD(1,1)=ovning.kdf
 KFK(1,1)=ovning.kfk
 KDK(1,1)=ovning.kdk

 PFK(1,1)=ovning.pfk
 PDK(1,1)=ovning.pdk

VARIABLES
 fd(f=1:FMAX,d=1:DMAX)
 fk(f=1:FMAX,k=1:KMAX)
 dk(d=1:DMAX,k=1:KMAX)

CONSTRAINTS
 MINKOST : SUM(f=1:FMAX,d=1:DMAX) KFD(f,d)*fd(f,d) + &
           SUM(f=1:FMAX,k=1:KMAX) KFK(f,k)*fk(f,k) + &
           SUM(d=1:DMAX,k=1:KMAX) KDK(d,k)*fk(d,k)
 FabKAP(f=1:FMAX): SUM(d=1:DMAX) fd(f,d) + SUM(k=1:KMAX) fk(f,k) < FKAP(f)
 DepKAP(d=1:DMAX): SUM(k=1:KMAX) dk(d,k) < DKAP(d)
 KunETT(k=1:KMAX): SUM(f=1:FMAX) fk(f,k) + SUM(d=1:DMAX) dk(d,k) > KETT(k)
 MIDNOD(d=1:DMAX): SUM(f=1:FMAX) fd(f,d) - SUM(k=1:KMAX) dk(d,k) = 0

GENERATE